Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.params
Class IndexThreshParams

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.params.IndexThreshParams

Direct Known Subclasses:
  IndexThreshWithTypeParams

    public class IndexThreshParams

extends Object

Contains the parameters for a condition comparing an indexed quantity, e.g., the service level for a given call type, with a fixed threshold. The index for the quantity to be compared is given by the

     <?xml version="1.0" encoding="UTF-8"?><tt xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">index</tt>

attribute while the threshold is set up using the

     <?xml version="1.0" encoding="UTF-8"?><tt xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">threshold</tt>

attribute. The

     <?xml version="1.0" encoding="UTF-8"?><tt xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">rel</tt>

attribute describes how the indexed quantity is compared with the threshold.

Java class for IndexThreshParams complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="IndexThreshParams">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="index" use="required" type="{http://www.iro.umontreal.ca/lecuyer/ssj}nonNegativeInt" />
           <attribute name="threshold" use="required" type="{http://www.w3.org/2001/XMLSchema}double" />
           <attribute name="rel" use="required" type="{http://www.iro.umontreal.ca/lecuyer/contactcenters/msk}Relationship" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected int` | `index`
`protected Relationship` | `rel`
`protected double` | `threshold`

Constructor Summary
`IndexThreshParams()`

Method Summary
`int` | `getIndex()` Gets the value of the index property.
`Relationship` | `getRel()` Gets the value of the rel property.
`double` | `getThreshold()` Gets the value of the threshold property.
`boolean` | `isSetIndex()`
`boolean` | `isSetRel()`
`boolean` | `isSetThreshold()`
`void` | `setIndex(int value)` Sets the value of the index property.
`void` | `setRel(Relationship value)` Sets the value of the rel property.
`void` | `setThreshold(double value)` Sets the value of the threshold property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### index

    protected int index

### threshold

    protected double threshold

### rel

    protected Relationship rel

Constructor Detail

### IndexThreshParams

    public IndexThreshParams()

Method Detail

### getIndex

    public int getIndex()

  Gets the value of the index property.

### setIndex

    public void setIndex(int value)

  Sets the value of the index property.

### isSetIndex

    public boolean isSetIndex()

### getThreshold

    public double getThreshold()

  Gets the value of the threshold property.

### setThreshold

    public void setThreshold(double value)

  Sets the value of the threshold property.

### isSetThreshold

    public boolean isSetThreshold()

### getRel

    public Relationship getRel()

  Gets the value of the rel property.

  Returns:
    possible object is `Relationship`

### setRel

    public void setRel(Relationship value)

  Sets the value of the rel property.

  Parameters:
    `value` - allowed object is `Relationship`

### isSetRel

    public boolean isSetRel()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.